Skip to main content
GET
/
v1
/
statutory
/
compliance
/
summary
Get compliance health summary
curl --request GET \
  --url https://api.cadanapay.com/v1/statutory/compliance/summary \
  --header 'Authorization: Bearer <token>'
{
  "businessId": "<string>",
  "asOf": "2023-11-07T05:31:56Z",
  "filingsSummary": {
    "total": 123,
    "upcoming": 123,
    "dueSoon": 123,
    "overdue": 123,
    "onTrack": 123,
    "completed": 123,
    "blocked": 123
  },
  "filings": {
    "total": 123,
    "byStatus": {
      "pending": 123,
      "blocked": 123,
      "in_review": 123,
      "approved": 123,
      "submitted": 123,
      "accepted": 123,
      "rejected": 123
    }
  },
  "remittances": {
    "pendingCount": 123,
    "pendingAmount": 123,
    "completedThisMonth": 123,
    "completedAmountThisMonth": 123
  },
  "requirements": {
    "outstanding": 123,
    "byCategory": {
      "businessRegistration": 123,
      "businessDocument": 123,
      "businessTaxParameter": 123,
      "workerData": 123
    }
  },
  "nextDeadlines": [
    {
      "filingId": "<string>",
      "filingTypeName": "<string>",
      "countryCode": "<string>",
      "dueAt": "2023-11-07T05:31:56Z",
      "status": "upcoming"
    }
  ],
  "jurisdictions": [
    {
      "countryCode": "<string>",
      "countryName": "<string>",
      "workerCount": 123,
      "filingsCompleted": 123,
      "filingsTotal": 123,
      "requirementsOutstanding": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

business_id
string
required
country_code
string

Filter to a specific jurisdiction

Response

200 - application/json

Compliance health summary

Single-call compliance health overview

businessId
string
asOf
string<date-time>

Timestamp of this summary

filingsSummary
object

Aggregate compliance health for the filtered set of filings. Provides at-a-glance status counts for powering dashboard health bars.

Status categories are derived from filing status and due date:

  • upcoming — Filing in upcoming status, due date > 7 days away
  • due_soon — Filing due within 7 days (any active status)
  • overdue — Filing past due date and not yet accepted
  • on_track — Filing in active processing (pending through submitted), not overdue
  • completed — Filing accepted with remittance completed
  • blocked — Filing in blocked status
filings
object
remittances
object
requirements
object
nextDeadlines
object[]

Next 5 upcoming deadlines across all jurisdictions

jurisdictions
object[]

Per-country breakdown